* {
  margin: 0;
  padding: 0;
  font-family: 'Cormorant Garamond', serif;
}
  
html {
  height: 100%;
  min-width: 270px;
  scroll-behavior: smooth;
}

body {
  background-color: #181818;
  color: #f3f3f3;
  height: 100%;
  width: 100%;
  font-size: 20px;
  margin: 0;
}

h1 {
  font-weight: 300;
  font-size: 3rem;
  text-align: center;
  text-transform: uppercase;
  margin-top: 10rem;
  text-shadow: 0px 0px 6px black;
}

p {
  font-size: 1.125rem;
  font-weight: 300;
  padding-top: 2rem;
  color: white;
  text-align: center;
  line-height: 2rem;
}

a {
  text-decoration: none;
}

  /* -- Start Hamburger Menu Code -- */
  
header {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: 600px;
  background-image: linear-gradient(rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), url(./assetsabout/Balbr_Sunrise1.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  box-shadow: 0px 40px 40px 0px rgba(0, 0, 0, .4) inset;
}

.hamburger {
  height: 20px;
  width: 20px;
  padding: 20px;
  float: right;
  cursor: pointer;
  border-radius: 0 0 5px 0;
  transition: .5s;
}

.hamburger:hover {
  box-shadow: 0px 0px 8px rgb(74, 137, 255);
}

.hamburger:before {
  content: "";
  display: block;
  background-color: #f3f3f3;
  width: 100%;
  height: 4px;
}

.hamburger:after {
  content: "";
  display: block;
  background-color: #f3f3f3;
  width: 100%;
  height: 4px;
  margin-top: 4px;
  box-shadow: 0px 8px 0 #f3f3f3;
}
  
nav {
  background-color: transparent;
  margin-bottom: 2rem;
  max-height: 0;
  overflow: hidden;
  clear:both;
  transition: .3s;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: block;
}

nav li {
  display: block;
  margin: 10px 0;
  text-align: center;
}

nav a {
  color: white;
  display: block;
}
  
header input[type="checkbox"]:checked ~ nav {
  max-height: 150px;
}

header a,
header label {
  transition: .3s;
}
  
header a:hover,
header a:focus,
header label:hover,
header label:focus {
  background-color: rgba(0, 0, 0, .2);
  text-shadow: 0px 0px 8px white;
  color: white;
}

  /*************************/
 /*     ABOUT             */
/*************************/

.about_container {
  padding: 4rem 1rem;
}

.about_head {
  text-align: center;
  font-size: 2.2rem;
}

.about_story {
  padding: 1rem;
}

.about_photo {
  display: flex;
  flex-wrap: wrap;
  margin: 8rem 0;
  justify-content: center;
}

.about_photo img {
  width: 85vw;
}

.about_image {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.about_image img {
  width: 100%;
}

.portfolio-contact_container {
  margin: 6rem 0;
}

.portfolio_container,
.contact_container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 200px;
}

.mywork {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
  height: auto;
  color: white;
  text-shadow: 0 0 12px black;
  transition: .5s;
}

.mywork:hover {
  text-shadow: 0px 0px 12px white;
}

.mywork > h5 {
  text-transform: uppercase;
  letter-spacing: 4px;
  font-size: 1rem;
  padding: 5rem 0 2rem 0;
  font-weight: 300;
}

.mywork > h2 {
  font-size: 2rem;
  padding: 0;
  font-weight: 400;
}

.mywork > .fa-arrow-right-long {
  padding: 4rem 50%;
  opacity: 0;
  transition: .3s;
}

.mywork > .fa-arrow-right-long:hover {
  opacity: 1;
}

.fa-arrow-right-long {
  padding: 40px 0px;
  font-size: 1.2rem;
}

  /*************************/
 /*     FOOTER            */
/*************************/
.footer-container {
  display: flex;
  flex-direction: column;
}

.footer-navbar-arrowup {
  display: flex;
  justify-content: center;
}

.footer-navbar, .footer-arrowup {
  display: flex;
  flex-direction: column;
  padding: 50px 30px;
}

.footer-navbar > a {
  text-decoration: none;
  color: rgb(200, 200, 200);
  padding: 10px 20px;
  transition: .5s;
  font-size: 1.2rem;
}

.footer-navbar > a:hover {
  text-shadow: 0px 0px 8px white;
  color: white;
}

.fa-arrow-up-long {
  color: rgb(200, 200, 200);
  justify-self: flex-start;
  font-size: 1.5rem;
  transition: .5s;
}

.fa-arrow-up-long:hover {
  text-shadow: 0px 0px 8px white;
  color: white;
}

.footer-copyright-social {
  display: flex;  
  flex-direction: column;
  align-items: center;
  padding: 20px 0 80px 0;
}

.footer-copyright {
  display: flex;
  align-items: center;
}

.footer-copyright p {
  padding: 10px;
  font-size: .9rem;
}

.social {
  display: flex;
}

.social > a {
  text-decoration: none;
  padding: 10px;
  margin: 0 5px;
  color: white;
  transition: .5s;
}

.social > a:hover {
  color: lightslategray;
}

.poweredbydtp {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 30px;
  color: #f3f3f3;
  background-color: #252525;
  position: fixed;
  z-index: 10;
  bottom: 0;
}

.poweredbydtp a {
  font-size: 18px;
  padding: 0 8px;
  color: #e97c00;
  transition: .5s;
  cursor: pointer;
  border: none;
}

.poweredbydtp a:hover {
  color: #ffaa48;
  text-shadow: 0px 0px 8px white;
}

.powered {
  font-size: 14px;
  letter-spacing: 1px;
  color: #f3f3f3;
  padding: 0;
}

/*************************/
 /*     RESPONSIVE        */
/*************************/


@media (min-width: 768px) {
  header {
    height: 950px;
    background-attachment: fixed;
  }

  h1 {
    font-size: 4rem;
    margin-top: 16rem;
    padding: 2rem;
    letter-spacing: 4px;
    word-spacing: 15px;
    font-weight: 500;
  }

  p {
    font-size: 2.2rem;
    padding-top: 5rem;
    letter-spacing: 2px;
    text-transform: uppercase;
  }

  .hamburger {
    display: none;
  }

  header a:hover,
  header a:focus,
  header label:hover,
  header label:focus {
    background-color: transparent;
    }

  nav {
    display: flex;
    justify-content: space-evenly;
    border: 0 !important;
    max-height: none;
  }

  nav ul, nav li, nav li a {
    display: inline-block;
  }
  
  nav a {
    display: inline-block;
    padding: 10px;
    margin: 10px 35px;
    font-size: 1.5rem;
  }

  .about_story {
    padding: 0 25%;
  }

  .about_story p{
    text-transform: none;
    font-size: 1.2rem;
    letter-spacing: 0;
  }

  .about_photo {
    margin: 15rem 0;
  }

  .about_photo img {
    width: 45vw;
  }

  .about_image img {
    width: 100%;
  }

  .portfolio-contact_container {
    display: flex;
    margin: 15rem 5rem 10rem;
  }

  .footer-navbar-arrowup {
    padding: 20px;
  }

  .footer-navbar, .footer-arrowup {
    flex-direction: row;
  }

  .footer-navbar > a {
    padding: 0px 20px;
    font-size: 1.4rem;
  }

  .footer-copyright p {
    font-size: 1.2rem;
    text-transform: none;
  }
  
  .powered {
    text-transform: none;
  }
}

.hidden {
    position: fixed;
    top: -100%;
    left: -100%;
}